## com.crystaldecisions.sdk.occa.report.exportoptions
Class PageBasedExportFormatOptions

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.exportoptions.PageBasedExportFormatOptions

All Implemented Interfaces:
  IClone, IPageBasedExportFormatOptions

Direct Known Subclasses:
  PDFExportFormatOptions, RTFWordExportFormatOptions

public abstract class PageBasedExportFormatOptions
extends java.lang.Object
implements IPageBasedExportFormatOptions, IClone

This abstract object defines export options when exporting to a page based export format. This includes specifying a range of pages to be exported. Page based export formats include PDF and RTF.

Constructor Summary
`PageBasedExportFormatOptions()`

Method Summary
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `copyTo(java.lang.Object destObject, boolean deepCopy)` Copies the object.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`int` | `getEndPageNumber()` Returns the end page, of a page export range, when exporting to a page based format.
`int` | `getStartPageNumber()` Returns the start page, of a page export range, when exporting to a page based format.
`boolean` | `hasContent(java.lang.Object obj)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, java.lang.String sTag, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(com.crystaldecisions.xml.serialization.XMLWriter writer, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `setEndPageNumber(int pageNumber)` Sets the start page, of a page export range, when exporting to a page based format.
`void` | `setStartPageNumber(int pageNumber)` Sets the end page, of a page export range, when exporting to a page based format.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageBasedExportFormatOptions

    public PageBasedExportFormatOptions()

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Parameters:
    `deepClone` - `true` to use deep clone, `false` to use shallow.
  Returns:
    The new object that has been cloned.

### copyTo

    public void copyTo(java.lang.Object destObject,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Parameters:
    `destObject` - The destination object to copy to.
    `deepCopy` - `true` to use deep copy, `false` to use shallow.

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  For internal use only.

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  For internal use only.

### getEndPageNumber

    public int getEndPageNumber()

  Description copied from interface: `IPageBasedExportFormatOptions`

  Returns the end page, of a page export range, when exporting to a page based format. By default, all pages in the report are exported.

  Specified by:
    `getEndPageNumber` in interface `IPageBasedExportFormatOptions`
  Returns:
    An `int` that specifies the end page.

### getStartPageNumber

    public int getStartPageNumber()

  Description copied from interface: `IPageBasedExportFormatOptions`

  Returns the start page, of a page export range, when exporting to a page based format. By default, all pages in the report are exported.

  Specified by:
    `getStartPageNumber` in interface `IPageBasedExportFormatOptions`
  Returns:
    An `int` that specifies the start page.

### hasContent

    public boolean hasContent(java.lang.Object obj)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Parameters:
    `obj` - The object to check for content.
  Returns:
    `true` if this object contains the same elements as the passed in object, otherwise `false`.

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  For internal use only.

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     java.lang.String sTag,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(com.crystaldecisions.xml.serialization.XMLWriter writer,
                             com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
                      throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### setEndPageNumber

    public void setEndPageNumber(int pageNumber)

  Description copied from interface: `IPageBasedExportFormatOptions`

  Sets the start page, of a page export range, when exporting to a page based format. By default, all pages in the report are exported.

  Specified by:
    `setEndPageNumber` in interface `IPageBasedExportFormatOptions`
  Parameters:
    `pageNumber` - An `int` that specifies the start page.

### setStartPageNumber

    public void setStartPageNumber(int pageNumber)

  Description copied from interface: `IPageBasedExportFormatOptions`

  Sets the end page, of a page export range, when exporting to a page based format. By default, all pages in the report are exported.

  Specified by:
    `setStartPageNumber` in interface `IPageBasedExportFormatOptions`
  Parameters:
    `pageNumber` - An `int` that specifies the end page.

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  For internal use only.